{
  "format_version": "1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "addon:red_dot",
      "basic_render_parameters": {
        "material": "particles_alpha",
        "texture": "textures/particle/red_dot"
      }
    },
    "components": {
      "minecraft:emitter_rate_manual": {
        "max_particles": 1
      },
      "minecraft:emitter_lifetime_expression": {
        "activation_expression": 0,
        "expiration_expression": 0
      },
      "minecraft:emitter_shape_point": {
        "direction": [ "Math.random(0, 0)", "Math.random(0, 0)", "Math.random(0, 0)" ]
      },
      "minecraft:particle_initial_speed": 0,
      "minecraft:particle_lifetime_expression": {
        "max_lifetime": "Math.random(0.01, 0.01)"
      },
      "minecraft:particle_appearance_billboard": {
        "size": [ 0.02, 0.02 ],
        "facing_camera_mode": "lookat_xyz",
        "uv": {
          "texture_width": 1,
          "texture_height": 1,
          "uv": [ 0, 0 ],
          "uv_size": [ 1, 1 ]
        }
      }
    }
  }
}